<?php

// Add the custom columns to the book post type:
add_filter( 'manage_pd_tracking_order_posts_columns', 'set_custom_edit_pd_tracking_order_columns' );

function set_custom_edit_pd_tracking_order_columns($columns) {

	unset( $columns['date'] );
	unset( $columns['title'] );

	$columns['sort'] 		= __( sprintf( '%s Sort', '<abbr title="You can sort the order statuses so that it\'ll be visible in the store front end as per the order"><span class="dashicons dashicons-editor-help"></span></abbr>' ),
		'pd-woo-tracking-order' );
	$columns['order'] 		= __( sprintf( '%s Order', '<abbr title="Sorted order no. is visible on load of the page or after the sort changes you\'ve made"><span class="dashicons dashicons-editor-help"></span></abbr>' ),
		'pd-woo-tracking-order' );
	$columns['visibility'] 	= __( sprintf( '%s Visibility', '<abbr title="Choose whether to show the status in front explicitly"><span class="dashicons dashicons-editor-help"></span></abbr>' ),
		'pd-woo-tracking-order' );
	$columns['title'] 		= __( sprintf( '%s Status Identifier', '<abbr title="This is just for the site owner reference to identify the status, not used any where in front end"><span class="dashicons dashicons-editor-help"></span></abbr>' ), 'pd-woo-tracking-order' );
	$columns['ui_title'] = __( 'Active Title', 'pd-woo-tracking-order' );
	$columns['ui_msg'] 	= __( 'Active Message', 'pd-woo-tracking-order' );

	return $columns;
}

// Add the data to the custom columns for the book post type:
add_action( 'manage_pd_tracking_order_posts_custom_column' , 'custom_pd_tracking_order_column', 10, 2 );

function custom_pd_tracking_order_column( $column, $post_id ) {

	@$status_meta = get_post_meta( $post_id, '_pd_woo_order_tracking_status_meta' )[0];

	switch ( $column ) {

		case 'order' :
		echo '<div>'.get_post_field( 'menu_order', $post_id, 'display' ).'</div>';
		break;

		case 'sort' :
		echo '<span class="dashicons dashicons-move"></span>';
		break;

		case 'visibility' :
		?>
		<div class="pd-order-status-visibility">
			<label class="switch">
				<input type="checkbox" value="1" name="pd_status_visibility" <?php echo @$status_meta['pd_status_visibility'] == 1 ? 'checked' : '' ?> onchange="pd_woo_tracking_order_status_visibility(this, <?php echo $post_id ?>)"/>
				<span class="slider round"></span>
			</label>
		</div>
		<?php
		break;

		case 'ui_title' :
		echo @$status_meta['pd_status_title_ui_present'];
		break;

		case 'ui_msg' :
		echo @$status_meta['pd_status_msg_ui_present'];
		break;

	}
}