<?php

$wp_editor_settings = [
	'teeny' 		=> true,
	'textarea_rows' => 5,
	'tabindex' 		=> 1,
	'media_buttons' => false
];

@$status_meta = get_post_meta( $post->ID, '_pd_woo_order_tracking_status_meta' )[0];

?>
<!-- UI -->

<h3 style="margin-bottom: 0"><a><span class="dashicons dashicons-welcome-view-site"></span></a> Front End</h3>
<p><em>(Below are the fields which will be visible for your customers)</em></p>

<div class="pd-woo-tracking-status-settings-blocks">
	<div class="pd-order-status-visibility inside">
		<p style="margin-right: 50px"><abbr title="(Choose whether to show this status in store front end explicitly, if not, still it'll be visible in admin orders page dropdown. So when its selected manually it'll be visible in store front end as pr the order)"><span class="dashicons dashicons-editor-help"></span></abbr> <label><b><a>Order Status Visibility</a></b></label></p>
		<p>
			<label class="switch">
				<input type="checkbox" value="1" name="pd_status_visibility" <?php echo @$status_meta['pd_status_visibility'] == 1 ? 'checked' : '' ?> />
				<span class="slider round"></span>
			</label>
		</p>
	</div>
</div>

<div class="pd-woo-tracking-status-settings-blocks">
	<div>
		<h4><b><u>Order Status Titles:</u></b></h4>
	</div>
	<div class="pd-woo-tracking-indent">
		<div>
			<p><abbr title="(This title will be visible if this status is finished in the tracking system, if not available you can leave this empty)"><span class="dashicons dashicons-editor-help"></span></abbr> <label><b><a>Finished Title</a></b></label></p>
			<p><input type="text" name="pd_status_title_ui_past" value="<?php echo @$status_meta['pd_status_title_ui_past'] ?>" style="width: 100%"></p>
		</div>
		<div>
			<p><abbr title="(This title will be visible if this status is active in the tracking system, if not available you can leave this empty)"><span class="dashicons dashicons-editor-help"></span></abbr> <label><b><a>Active Title</a></b></label></p>
			<p><input type="text" name="pd_status_title_ui_present" value="<?php echo @$status_meta['pd_status_title_ui_present'] ?>" style="width: 100%"></p>
		</div>
		<div>
			<p><abbr title="(This title will be visible if this status is upcoming in the tracking system, if not available you can leave this empty)"><span class="dashicons dashicons-editor-help"></span></abbr> <label><b><a>Upcoming Title</a></b></label></p>
			<p><input type="text" name="pd_status_title_ui_future" value="<?php echo @$status_meta['pd_status_title_ui_future'] ?>" style="width: 100%"></p>
		</div>
	</div>
</div>

<div class="pd-woo-tracking-status-settings-blocks">
	<div>
		<h4><b><u>Order Status Messages:</u></b></h4>
	</div>
	<div class="pd-woo-tracking-indent">
		<div>
			<p><abbr title="(This message will be visible if this status is finished in the tracking system, if not available you can leave this empty)"><span class="dashicons dashicons-editor-help"></span></abbr> <label><b><a>Finished Message</a></b></label></p>
			<?php wp_editor( @$status_meta['pd_status_msg_ui_past'], 'pd_status_msg_ui_past', $wp_editor_settings ); ?>
		</div>
		<div>
			<p><abbr title="(This message will be visible if this status is active in the tracking system, if not available you can leave this empty)"><span class="dashicons dashicons-editor-help"></span></abbr> <label><b><a>Active Message</a></b></label></p>
			<?php wp_editor( @$status_meta['pd_status_msg_ui_present'], 'pd_status_msg_ui_present', $wp_editor_settings ); ?>
		</div>
		<div>
			<p><abbr title="(This message will be visible if this status is upcoming in the tracking system, if not available you can leave this empty)"><span class="dashicons dashicons-editor-help"></span></abbr> <label><b><a>Upcoming Message</a></b></label></p>
			<?php wp_editor( @$status_meta['pd_status_msg_ui_future'], 'pd_status_msg_ui_future', $wp_editor_settings ); ?>
		</div>
	</div>
</div>
<hr>

<!-- Email -->

<h3 style="margin-bottom: 0"><a><span class="dashicons dashicons-email"></span></a>  Email</h3>
<p><em>(Below are the fields which will be used to send custom status as email to your customers)</em></p>
<div class="pd-woo-tracking-status-settings-blocks">
	<div class="pd-woo-tracking-indent">
		<p><label><b><a>Email Heading</a></b></label></p>
		<p><input type="text" name="pd_status_email_heading" value="<?php echo @$status_meta['pd_status_email_heading'] ?>" style="width: 100%"></p>
	</div>
	<div class="pd-woo-tracking-indent">
		<p><label><b><a>Email Subject</a></b></label></p>
		<p><input type="text" name="pd_status_email_subject" value="<?php echo @$status_meta['pd_status_email_subject'] ?>" style="width: 100%"></p>
	</div>
	<div class="pd-woo-tracking-indent">
		<p><label><b><a>Email Message</a></b></label></p>
		<?php wp_editor( @$status_meta['pd_status_email_msg'], 'pd_status_email_msg', $wp_editor_settings ); ?>
	</div>
</div>

<?php wp_nonce_field( 'pd_woo_order_tracking_status', 'pd_woo_order_tracking_status_nonce' ); ?>