<?php

/**
 * @link https://proficientdesigners.com/
 *
 * @package Proficient Designers Plugin
 * @subpackage pd Woo Tracking Order
 * @since 1.0.0
 * @version 1.0.2
 */
// $fields 			= get_post_meta( get_the_ID($post), '_pd_woo_track_order_meta', true );

@$pd_woo_settings 	= get_option('_pd_woo_tracking_order_settings', false);
@$carriers_list 	= get_option('_pd_woo_tracking_order_carriers_list', false);

@$order_details 	= get_post_meta($post->ID, '_pd_woo_tracking_order_details', false)[0];
$pd_woo_order 		= wc_get_order($post->ID);

@$send_email			= isset($order_details['send_email']) ? $order_details['send_email'] : $pd_woo_settings['send_email'];
@$custom_order_status 	= isset($order_details['custom_order_status']) ? $order_details['custom_order_status'] : wc_get_order_status_name($pd_woo_order->get_status());

@$carrier_name 			= isset($order_details['carrier_name']) ? $order_details['carrier_name'] : $pd_woo_settings['default_carrier'];
@$carrier_pickup_date 	= $order_details['carrier_pickup_date'];
@$carrier_tracking_id 	= $order_details['carrier_tracking_id'];

$pd_woo_custom_order_statuses = get_posts([
	'post_type' => 'pd_tracking_order',
	'posts_per_page' => -1,
	'orderby' => 'menu_order',
	'order' => 'asc'
]);

?>
<div id="pd_woo_shop_order_metabox_form">

	<div class="pd_woo_row_wrapper">

		<div>
			<p>
				<label>
					<b><a>Send custom email for this order <br> (custom order tracker)</a></b>
				</label>
			</p>
		</div>

		<div class="pd-order-status-visibility">
			<p>
				<label class="switch">
					<input type="checkbox" name="send_email" <?php checked($send_email, 'on', true); ?>>
					<span class="slider round"></span>
				</label>
				&nbsp;&nbsp;<b><em>Enable / Disable</em></b>
			</p>
		</div>

	</div>
	<hr>

	<div class="pd_woo_row_wrapper">

		<div>
			<p>
				<b><a>Custom Order Status</a></b>
			</p>
			<p>
				<select name="custom_order_status">
					<?php

					foreach ($pd_woo_custom_order_statuses as $status) {
						echo '<option value="' . $status->post_title . '" ' . selected(@$order_details['custom_order_status'], $status->post_title, true) . '>' . $status->post_title . '</option>';
					}

					?>
				</select>
			</p>
		</div>

		<div>
			<p>
				<b><a>Carrier Name</a></b>
			</p>
			<p>
				<select name="carrier_name">
					<option value="">Choose</option>
					<?php if ($carriers_list) : ?>
						<?php foreach ($carriers_list as $carrier) : ?>
							<option value="<?php echo $carrier ?>" <?php selected($carrier_name, $carrier, true); ?>><?php echo $carrier ?></option>
						<?php endforeach ?>
					<?php endif ?>
				</select>
			</p>
		</div>

		<div>
			<p>
				<b><a>Carrier Pickup Date</a></b>
			</p>
			<p>
				<input type="text" id="pdWooTrcOrdrDatePicker" name="carrier_pickup_date" value="<?php echo @$carrier_pickup_date  ?>">
			</p>
		</div>

		<div>
			<p>
				<b><a>Tracking ID (or) Link</a></b>
			</p>
			<p>
				<input type="text" name="carrier_tracking_id" value="<?php echo @$carrier_tracking_id  ?>">
			</p>
		</div>

	</div>
	<hr>

	<div class="pd_woo_row_wrapper">

		<p>
			<b><a>Custom order status frontend visibility</a></b>
		</p>
		<p><small><i>Use the below toggles to set custom statuses visibility for this particular order.</i></small></p>

		<?php

		foreach ($pd_woo_custom_order_statuses as $status) {

			@$custom_status_visibility_individually = get_post_meta($pd_woo_order->get_id(), '_pd_woo_tracking_order_details')[0];
			@$status_meta = get_post_meta($status->ID, '_pd_woo_order_tracking_status_meta')[0];

			if (isset($custom_status_visibility_individually['custom_order_status_front_visibilty'])) {
				$is_status_individually_selected = in_array($status->ID, $custom_status_visibility_individually['custom_order_status_front_visibilty']);
				$can_this_be_shown = $is_status_individually_selected;
			} else {
				$can_this_be_shown = @$status_meta['pd_status_visibility'];
			}
		?>
			<div class="pd-order-status-visibility" style="margin-bottom: 1rem; display: flex; align-items: center">
				<label class="switch">
					<input type="checkbox" value="<?php echo $status->ID ?>" name="pd_status_visibility[]" <?php echo $can_this_be_shown ? 'checked' : '' ?> />
					<span class="slider round"></span>
				</label>
				<div style="margin-left: 5px"><?php echo $status->post_title ?></div>
			</div>
		<?php
		}

		?>

	</div>

	<hr>

	<div class="pd_woo_row_wrapper">
		<input type="hidden" name="pd_woo_tracker_order_id" value="<?php echo @$post->ID ?>">
		<div>
			<p><small><i>Use the below button to send custom order status mail alone.</i></small></p>
			<p><button type="button" class="button-primary" id="pd_woo_shop_metabox_submit_btn">Save & Send Email</button></p>
		</div>
		<?php wp_nonce_field('pd_woo_tracking_details', 'pd_woo_tracking_details_nonce'); ?>
	</div>

</div>