<?php

/* Verify the nonce before proceeding. */
if ( isset($_POST['pd_woo_tracking_order_carriers_nonce'])
	&& wp_verify_nonce( $_POST['pd_woo_tracking_order_carriers_nonce'], 'pd_woo_tracking_order_carriers' ) )
{
	update_option( '_pd_woo_tracking_order_carriers_list', $_POST['carriers'] );
	echo '<div class="notice notice-success is-dismissible"><p>New List Saved.</p></div>';
}

$carriers_list = get_option( '_pd_woo_tracking_order_carriers_list', false );

?>

<form method="POST">

	<table id="pd-Woo-Tracking-Order-Carriers" class="form-table">
		<tbody>
			<tr>
				<th>Carrier Name</th>
				<th>&nbsp;</th>
			</tr>
			<?php if ($carriers_list) { ?>
				<?php foreach ($carriers_list as $carrier): ?>
					<tr>
						<th><input type="text" value="<?php echo $carrier ?>" name="carriers[]"></th>
						<th><div class="trash" onclick="pd_woo_trash_order_status_row(this)"><span class="dashicons dashicons-trash"></span></div></th>
					</tr>
				<?php endforeach ?>
			<?php } else { ?>
				<tr>
					<th><input type="text" name="carriers[]"></th>
					<th><div class="trash" onclick="pd_woo_trash_order_status_row(this)"><span class="dashicons dashicons-trash"></span></div></th>
				</tr>
			<?php } ?>
		</tbody>
	</table>

	<?php wp_nonce_field( 'pd_woo_tracking_order_carriers', 'pd_woo_tracking_order_carriers_nonce' ); ?>

	<div class="carrier_buttons">
		<button type="submit" class="button button-primary">Save List</button>
		<button class="button" id="add_more_carrier">Add Carrier</button>
	</div>

</form>