let htm = '',
	placeholders = document.querySelector('.pd-Woo-Tracking-Order-placeholders-list'),
	add_more_carrier = document.getElementById('add_more_carrier'),
	carriers_table = document.getElementById('pd-Woo-Tracking-Order-Carriers'),
	shop_metabox_submit_btn = document.getElementById('pd_woo_shop_metabox_submit_btn'),
	metabox_form = document.getElementById('pd_woo_shop_order_metabox_form');

if (placeholders) {
	fetch(pd_woo.placeholder_json).then(response => {
		response.json().then(data => {
			data.forEach(e => {
				htm += '<li class="title"><a><strong>' + e.title + '</strong></a></li>';
				e.lists.forEach(el => {
					htm += '<li class="list" onclick="copy_placeholder_to_clipboard(\'' + el.placeholder + '\')">' + el.placeholder + ' <span title="copy" class="copy_btn dashicons dashicons-admin-page"></span></li>';
				});
			});
			placeholders.insertAdjacentHTML('afterbegin', htm);
		})
	});
}

const copy_placeholder_to_clipboard = (copyText) => {
	let el = document.createElement('textarea');
	el.value = copyText;
	document.body.appendChild(el);
	el.select();
	document.execCommand("copy");
	document.body.removeChild(el);
}


if (add_more_carrier) {
	add_more_carrier.addEventListener('click', function (e) {
		e.preventDefault();
		let tr = carriers_table.querySelectorAll('tr')[1],
			td = tr.getElementsByTagName('th'),
			html = tr.cloneNode(true);
		for (const row of td) {
			let inp = row.getElementsByTagName('input')[0]
			if (inp != undefined) {
				inp.value = '';
			}
		}
		carriers_table.appendChild(html);
	});
}

const pd_woo_trash_order_status_row = (e) => {
	e.closest('tr').remove();
}

const pd_woo_tracking_order_status_visibility = (e, post_id) => {

	let formData = new FormData(),
		val = e.checked ? 1 : 0;

	formData.append('action', 'pd_woo_order_change_visibility');
	formData.append('post_id', post_id);
	formData.append('pd_status_visibility', val);

	fetch(pd_woo.ajaxUrl, {
		method: 'POST',
		body: formData
	})
}

jQuery(document).ready(function ($) {
	if ($('.pd-woo-tracker-color')) {
		$('.pd-woo-tracker-color').wpColorPicker();
	}
});

jQuery(document).ready(function ($) {
	if ($('#pdWooTrcOrdrDatePicker').length) {
		$('#pdWooTrcOrdrDatePicker').datepicker({
			dateFormat: 'dd-mm-yy'
		});
	}
});

const pd_Woo_Tracking_Change_Menu_Order = (e, ui) => {
	let rows = document.querySelectorAll('.post-type-pd_tracking_order #the-list tr'),
		formData = new FormData(),
		menu_order = [];

	for (let i = 0; i < rows.length; i++) {
		const tr = rows[i];
		let postid = parseInt(tr.getAttribute('id').replace('post-', ''));
		menu_order.push({
			post_id: postid,
			menu_order: i
		})
	}

	formData.append('action', 'pd_woo_order_status_menu_order');
	formData.append('data', JSON.stringify(menu_order));

	fetch(pd_woo.ajaxUrl, {
		method: 'POST',
		body: formData
	}).then(res => {
		res.json().then(data => {
			for (let i = 0; i < data.length; i++) {
				const arr = data[i];
				const tr = rows[i];

				let id = tr.getAttribute('id'),
					post_id = tr.getAttribute('id').replace('post-', ''),
					menu_order = arr[1].menu_order;
				if (arr[0].post_id != parseInt(post_id)) return;
				document.querySelector('#' + id + ' .order.column-order div').innerHTML = menu_order;
			}
		})
	})
}

const pd_Woo_Tracking_fixHelper = function (e, ui) {
	ui.children().each(function () {
		jQuery(this).width(jQuery(this).width());
	});
	return ui;
};

jQuery(function ($) {
	$('.post-type-pd_tracking_order #the-list').sortable({
		handle: '.sort.column-sort',
		helper: pd_Woo_Tracking_fixHelper,
		update: pd_Woo_Tracking_Change_Menu_Order
	});
	$('.post-type-pd_tracking_order #the-list').disableSelection();
});

if (shop_metabox_submit_btn) {
	shop_metabox_submit_btn.addEventListener('click', function (e) {
		e.preventDefault();
		let formData = new FormData(),
			btn_txt = this.innerHTML,
			statuses = metabox_form.querySelectorAll('[name="pd_status_visibility[]"]'),
			status_visibility = [];

		for (const status of statuses) {
			if (status.checked) {
				status_visibility.push(status.value)
			}
		}

		let fields = {
			send_email: metabox_form.querySelector('[name="send_email"]').checked ? 'on' : '',
			custom_order_status: metabox_form.querySelector('[name="custom_order_status"]').value,
			carrier_name: metabox_form.querySelector('[name="carrier_name"]').value,
			carrier_pickup_date: metabox_form.querySelector('[name="carrier_pickup_date"]').value,
			carrier_tracking_id: metabox_form.querySelector('[name="carrier_tracking_id"]').value,
			post_id: metabox_form.querySelector('[name="pd_woo_tracker_order_id"]').value,
			custom_order_status_front_visibilty: status_visibility,
		}

		formData.append('action', 'pd_woo_order_metabox_save');
		formData.append('data', JSON.stringify(fields));

		this.innerHTML = 'In Progress...';
		this.setAttribute('disabled', 'disabled');

		fetch(pd_woo.ajaxUrl, {
			method: 'POST',
			body: formData
		}).then(res => {
			res.json().then(data => {
				// console.log(data);
				if (data.status == true) {
					this.innerHTML = data.msg;
					setTimeout(() => {
						this.innerHTML = btn_txt;
						this.removeAttribute('disabled', 'disabled');
					}, 5000);
				} else {
					this.innerHTML = 'Something wrong!';
					setTimeout(() => {
						this.innerHTML = btn_txt;
						this.removeAttribute('disabled', 'disabled');
					}, 5000);
				}
			})
		})
	});
}